
Redmine - Feature #1767

Make spent time - & project custom fields configurable/switchable per project

2008-08-11 19:11 - Mischa The Evil

Status: New Start date: 2008-08-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

It would be nice if it becomes possible to configure/switch the custom-fields of the types timelog (spent time) and project per project

equal to the functionality implemented for custom-fields of the type issue.

Though it may not be logical to do this per project it can be very usefull for multi-purpose projects.

Example regarding a fictional project custom-field of the type list with the name "Fork" (which should indicate if this project is a fork

(for what it means)). Now I want that project custom-field only to show-up on projects that actually are development-projects, not on

any other projects (e.g. a project "Web-Service Management").

In such an environment it would be great if the project custom-field can be switched-off manually for all other projects exept the

specific development-projects.

Such an example can be given for the timelog custom-fields also...

Related issues:

Related to Redmine - Feature #5127: Custom Fields to be configurable on 'per ... New 2010-03-19

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Has duplicate Redmine - Feature #18358: Make spent time custom fields usable ... Closed

Has duplicate Redmine - Feature #18827: "Spent time" custom field - option to... Closed

History

#1 - 2011-04-06 23:54 - Adam Soltys

Some of my colleagues and I just independently noticed this and also thought it was strange that custom fields can be configured per-project for

Issues but not for the other categories.  I'm going to look into fixing this.

#2 - 2011-08-24 09:48 - Jérôme BATAILLE

+1

#3 - 2012-10-25 23:15 - LEXO IT Services Switzerland

+1

#4 - 2014-11-17 05:49 - Mischa The Evil

- Has duplicate Feature #18358: Make spent time custom fields usable by project added

#5 - 2014-11-17 05:52 - Mischa The Evil

- Subject changed from Make custom-fields (timelog and project) configurable/switchable per project to Make spent time & project custom-fields

configurable/switchable per project

#6 - 2014-11-17 05:53 - Mischa The Evil

- Subject changed from Make spent time & project custom-fields configurable/switchable per project to Make spent time - & project custom-fields

configurable/switchable per project

#7 - 2014-11-17 05:53 - Mischa The Evil

- Subject changed from Make spent time - & project custom-fields configurable/switchable per project to Make spent time - & project custom fields

configurable/switchable per project

#8 - 2015-02-11 00:55 - Adam Kuczma

+1
#9 - 2015-04-16 08:24 - Ami Desai

+ 10

#10 - 2015-05-13 18:48 - Doruk Fişek

+1

#11 - 2017-10-24 19:37 - Dmitry GLushchikov

Just made plugin which allows to bind time entry custom fields to the project and tracker

https://github.com/rpc1/time_entry_cf_binder

#12 - 2021-03-02 08:32 - r okui

+1

#13 - 2021-08-09 05:57 - Go MAEDA

- Has duplicate Feature #18827: "Spent time" custom field - option to choose which projects have it added

#14 - 2021-09-08 03:45 - Yuichi HARADA

- File 0001-Remove-trailing-whitespaces-in-test-fixtures-custom_.patch added

- File 0002-Change-is_for_all-to-true-in-test-fixtures-custom_fi.patch added

- File 0003-Modify-tests-for-custom-fields-configurable-switchab.patch added

- File 0004-Make-spent-time-project-custom-fields-configurable-s.patch added

- File 0005-Add-migrations.patch added

+1

I created patches. I attached patches.

#15 - 2021-09-08 03:51 - Yuichi HARADA

- File cf-list-spent-time.png added

- File cf-edit-spent-time.png added

- File project-settings-spent-time.png added

You will see forms similar to the one below for the Spent time custom field.

Custom fields list cf-list-spent-time.png 

Custom field edit cf-edit-spent-time.png 

Project settings project-settings-spent-time.png 

#16 - 2021-09-08 03:53 - Yuichi HARADA

- File cf-list-projects.png added

- File cf-edit-projects.png added

- File project-settings-projects.png added

You will see forms similar to the one below for the Project custom field.

Custom fields list cf-list-projects.png 

Custom field edit
cf-edit-projects.png 

Project settings
project-settings-projects.png 

#17 - 2022-08-17 10:45 - Go MAEDA

- Target version set to Candidate for next major release

Files

0001-Remove-trailing-whitespaces-in-test-fixtures-custom_.patch 2.76 KB 2021-09-08 Yuichi HARADA

0002-Change-is_for_all-to-true-in-test-fixtures-custom_fi.patch 945 Bytes 2021-09-08 Yuichi HARADA

0003-Modify-tests-for-custom-fields-configurable-switchab.patch 33 KB 2021-09-08 Yuichi HARADA
0004-Make-spent-time-project-custom-fields-configurable-s.patch 18.2 KB 2021-09-08 Yuichi HARADA

0005-Add-migrations.patch 1.62 KB 2021-09-08 Yuichi HARADA

cf-list-spent-time.png 79.8 KB 2021-09-08 Yuichi HARADA

cf-edit-spent-time.png 172 KB 2021-09-08 Yuichi HARADA

project-settings-spent-time.png 127 KB 2021-09-08 Yuichi HARADA

cf-list-projects.png 81 KB 2021-09-08 Yuichi HARADA

cf-edit-projects.png 174 KB 2021-09-08 Yuichi HARADA

project-settings-projects.png 202 KB 2021-09-08 Yuichi HARADA
